## org.eclipse.datatools.modelbase.sql.xml.query.util
Class SQLXMLQueryModelAdapterFactory

    java.lang.Object
      AdapterFactoryImpl
          org.eclipse.datatools.modelbase.sql.xml.query.util.SQLXMLQueryModelAdapterFactory

    public class SQLXMLQueryModelAdapterFactory

extends AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `SQLXMLQueryModelPackage`

Constructor Summary
`SQLXMLQueryModelAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`Adapter` `createAdapter(Notifier target)` Creates an adapter for the `target`.
`Adapter` `createEModelElementAdapter()` Creates a new adapter for an object of class '`EModel Element`'.
`Adapter` `createENamedElementAdapter()` Creates a new adapter for an object of class '`ENamed Element`'.
`Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`Adapter` `createPredicateAdapter()` Creates a new adapter for an object of class '`Predicate`'.
`Adapter` `createQuerySearchConditionAdapter()` Creates a new adapter for an object of class '`Query Search Condition`'.
`Adapter` `createQueryValueExpressionAdapter()` Creates a new adapter for an object of class '`Query Value Expression`'.
`Adapter` `createSearchConditionAdapter()` Creates a new adapter for an object of class '`Search Condition`'.
`Adapter` `createSQLObjectAdapter()` Creates a new adapter for an object of class '`SQL Object`'.
`Adapter` `createSQLQueryObjectAdapter()` Creates a new adapter for an object of class '`SQL Query Object`'.
`Adapter` `createTableExpressionAdapter()` Creates a new adapter for an object of class '`Table Expression`'.
`Adapter` `createTableFunctionAdapter()` Creates a new adapter for an object of class '`Table Function`'.
`Adapter` `createTableReferenceAdapter()` Creates a new adapter for an object of class '`Table Reference`'.
`Adapter` `createValueExpressionAdapter()` Creates a new adapter for an object of class '`Value Expression`'.
`Adapter` `createValueExpressionAtomicAdapter()` Creates a new adapter for an object of class '`Value Expression Atomic`'.
`Adapter` `createValueExpressionCastAdapter()` Creates a new adapter for an object of class '`Value Expression Cast`'.
`Adapter` `createValueExpressionFunctionAdapter()` Creates a new adapter for an object of class '`Value Expression Function`'.
`Adapter` `createXMLAggregateFunctionAdapter()` Creates a new adapter for an object of class '`XML Aggregate Function`'.
`Adapter` `createXMLAggregateSortSpecificationAdapter()` Creates a new adapter for an object of class '`XML Aggregate Sort Specification`'.
`Adapter` `createXMLAttributeDeclarationItemAdapter()` Creates a new adapter for an object of class '`XML Attribute Declaration Item`'.
`Adapter` `createXMLAttributesDeclarationAdapter()` Creates a new adapter for an object of class '`XML Attributes Declaration`'.
`Adapter` `createXMLNamespaceDeclarationDefaultAdapter()` Creates a new adapter for an object of class '`XML Namespace Declaration Default`'.
`Adapter` `createXMLNamespaceDeclarationItemAdapter()` Creates a new adapter for an object of class '`XML Namespace Declaration Item`'.
`Adapter` `createXMLNamespaceDeclarationPrefixAdapter()` Creates a new adapter for an object of class '`XML Namespace Declaration Prefix`'.
`Adapter` `createXMLNamespacesDeclarationAdapter()` Creates a new adapter for an object of class '`XML Namespaces Declaration`'.
`Adapter` `createXMLPredicateAdapter()` Creates a new adapter for an object of class '`XML Predicate`'.
`Adapter` `createXMLPredicateContentAdapter()` Creates a new adapter for an object of class '`XML Predicate Content`'.
`Adapter` `createXMLPredicateDocumentAdapter()` Creates a new adapter for an object of class '`XML Predicate Document`'.
`Adapter` `createXMLPredicateExistsAdapter()` Creates a new adapter for an object of class '`XML Predicate Exists`'.
`Adapter` `createXMLPredicateValidAdapter()` Creates a new adapter for an object of class '`XML Predicate Valid`'.
`Adapter` `createXMLQueryArgumentItemAdapter()` Creates a new adapter for an object of class '`XML Query Argument Item`'.
`Adapter` `createXMLQueryArgumentListAdapter()` Creates a new adapter for an object of class '`XML Query Argument List`'.
`Adapter` `createXMLQueryExpressionAdapter()` Creates a new adapter for an object of class '`XML Query Expression`'.
`Adapter` `createXMLSerializeFunctionAdapter()` Creates a new adapter for an object of class '`XML Serialize Function`'.
`Adapter` `createXMLSerializeFunctionEncodingAdapter()` Creates a new adapter for an object of class '`XML Serialize Function Encoding`'.
`Adapter` `createXMLSerializeFunctionTargetAdapter()` Creates a new adapter for an object of class '`XML Serialize Function Target`'.
`Adapter` `createXMLTableColumnDefinitionDefaultAdapter()` Creates a new adapter for an object of class '`XML Table Column Definition Default`'.
`Adapter` `createXMLTableColumnDefinitionItemAdapter()` Creates a new adapter for an object of class '`XML Table Column Definition Item`'.
`Adapter` `createXMLTableColumnDefinitionOrdinalityAdapter()` Creates a new adapter for an object of class '`XML Table Column Definition Ordinality`'.
`Adapter` `createXMLTableColumnDefinitionRegularAdapter()` Creates a new adapter for an object of class '`XML Table Column Definition Regular`'.
`Adapter` `createXMLTableFunctionAdapter()` Creates a new adapter for an object of class '`XML Table Function`'.
`Adapter` `createXMLValueExpressionCastAdapter()` Creates a new adapter for an object of class '`XML Value Expression Cast`'.
`Adapter` `createXMLValueFunctionAdapter()` Creates a new adapter for an object of class '`XML Value Function`'.
`Adapter` `createXMLValueFunctionCommentAdapter()` Creates a new adapter for an object of class '`XML Value Function Comment`'.
`Adapter` `createXMLValueFunctionCommentContentAdapter()` Creates a new adapter for an object of class '`XML Value Function Comment Content`'.
`Adapter` `createXMLValueFunctionConcatAdapter()` Creates a new adapter for an object of class '`XML Value Function Concat`'.
`Adapter` `createXMLValueFunctionConcatContentItemAdapter()` Creates a new adapter for an object of class '`XML Value Function Concat Content Item`'.
`Adapter` `createXMLValueFunctionDocumentAdapter()` Creates a new adapter for an object of class '`XML Value Function Document`'.
`Adapter` `createXMLValueFunctionDocumentContentAdapter()` Creates a new adapter for an object of class '`XML Value Function Document Content`'.
`Adapter` `createXMLValueFunctionElementAdapter()` Creates a new adapter for an object of class '`XML Value Function Element`'.
`Adapter` `createXMLValueFunctionElementContentItemAdapter()` Creates a new adapter for an object of class '`XML Value Function Element Content Item`'.
`Adapter` `createXMLValueFunctionElementContentListAdapter()` Creates a new adapter for an object of class '`XML Value Function Element Content List`'.
`Adapter` `createXMLValueFunctionForestAdapter()` Creates a new adapter for an object of class '`XML Value Function Forest`'.
`Adapter` `createXMLValueFunctionForestContentItemAdapter()` Creates a new adapter for an object of class '`XML Value Function Forest Content Item`'.
`Adapter` `createXMLValueFunctionParseAdapter()` Creates a new adapter for an object of class '`XML Value Function Parse`'.
`Adapter` `createXMLValueFunctionParseContentAdapter()` Creates a new adapter for an object of class '`XML Value Function Parse Content`'.
`Adapter` `createXMLValueFunctionPIAdapter()` Creates a new adapter for an object of class '`XML Value Function PI`'.
`Adapter` `createXMLValueFunctionPIContentAdapter()` Creates a new adapter for an object of class '`XML Value Function PI Content`'.
`Adapter` `createXMLValueFunctionQueryAdapter()` Creates a new adapter for an object of class '`XML Value Function Query`'.
`Adapter` `createXMLValueFunctionQueryReturningAdapter()` Creates a new adapter for an object of class '`XML Value Function Query Returning`'.
`Adapter` `createXMLValueFunctionTextAdapter()` Creates a new adapter for an object of class '`XML Value Function Text`'.
`Adapter` `createXMLValueFunctionTextContentAdapter()` Creates a new adapter for an object of class '`XML Value Function Text Content`'.
`Adapter` `createXMLValueFunctionValidateAccordingToAdapter()` Creates a new adapter for an object of class '`XML Value Function Validate According To`'.
`Adapter` `createXMLValueFunctionValidateAccordingToIdentifierAdapter()` Creates a new adapter for an object of class '`XML Value Function Validate According To Identifier`'.
`Adapter` `createXMLValueFunctionValidateAccordingToURIAdapter()` Creates a new adapter for an object of class '`XML Value Function Validate According To URI`'.
`Adapter` `createXMLValueFunctionValidateAdapter()` Creates a new adapter for an object of class '`XML Value Function Validate`'.
`Adapter` `createXMLValueFunctionValidateContentAdapter()` Creates a new adapter for an object of class '`XML Value Function Validate Content`'.
`Adapter` `createXMLValueFunctionValidateElementAdapter()` Creates a new adapter for an object of class '`XML Value Function Validate Element`'.
`Adapter` `createXMLValueFunctionValidateElementNameAdapter()` Creates a new adapter for an object of class '`XML Value Function Validate Element Name`'.
`Adapter` `createXMLValueFunctionValidateElementNamespaceAdapter()` Creates a new adapter for an object of class '`XML Value Function Validate Element Namespace`'.
`boolean` `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLXMLQueryModelAdapterFactory

    public SQLXMLQueryModelAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public Adapter createAdapter(Notifier target)

  Creates an adapter for the `target`.

  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createXMLValueFunctionConcatAdapter

    public Adapter createXMLValueFunctionConcatAdapter()

  Creates a new adapter for an object of class '`XML Value Function Concat`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionConcat`

### createXMLValueFunctionAdapter

    public Adapter createXMLValueFunctionAdapter()

  Creates a new adapter for an object of class '`XML Value Function`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunction`

### createXMLNamespaceDeclarationPrefixAdapter

    public Adapter createXMLNamespaceDeclarationPrefixAdapter()

  Creates a new adapter for an object of class '`XML Namespace Declaration Prefix`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLNamespaceDeclarationPrefix`

### createXMLNamespaceDeclarationDefaultAdapter

    public Adapter createXMLNamespaceDeclarationDefaultAdapter()

  Creates a new adapter for an object of class '`XML Namespace Declaration Default`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLNamespaceDeclarationDefault`

### createXMLAttributeDeclarationItemAdapter

    public Adapter createXMLAttributeDeclarationItemAdapter()

  Creates a new adapter for an object of class '`XML Attribute Declaration Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLAttributeDeclarationItem`

### createXMLValueFunctionElementAdapter

    public Adapter createXMLValueFunctionElementAdapter()

  Creates a new adapter for an object of class '`XML Value Function Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionElement`

### createXMLNamespaceDeclarationItemAdapter

    public Adapter createXMLNamespaceDeclarationItemAdapter()

  Creates a new adapter for an object of class '`XML Namespace Declaration Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLNamespaceDeclarationItem`

### createXMLValueFunctionElementContentItemAdapter

    public Adapter createXMLValueFunctionElementContentItemAdapter()

  Creates a new adapter for an object of class '`XML Value Function Element Content Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionElementContentItem`

### createXMLValueFunctionForestAdapter

    public Adapter createXMLValueFunctionForestAdapter()

  Creates a new adapter for an object of class '`XML Value Function Forest`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionForest`

### createXMLValueFunctionCommentAdapter

    public Adapter createXMLValueFunctionCommentAdapter()

  Creates a new adapter for an object of class '`XML Value Function Comment`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionComment`

### createXMLValueFunctionDocumentAdapter

    public Adapter createXMLValueFunctionDocumentAdapter()

  Creates a new adapter for an object of class '`XML Value Function Document`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionDocument`

### createXMLValueFunctionParseAdapter

    public Adapter createXMLValueFunctionParseAdapter()

  Creates a new adapter for an object of class '`XML Value Function Parse`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionParse`

### createXMLValueFunctionPIAdapter

    public Adapter createXMLValueFunctionPIAdapter()

  Creates a new adapter for an object of class '`XML Value Function PI`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionPI`

### createXMLValueFunctionQueryAdapter

    public Adapter createXMLValueFunctionQueryAdapter()

  Creates a new adapter for an object of class '`XML Value Function Query`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionQuery`

### createXMLValueFunctionTextAdapter

    public Adapter createXMLValueFunctionTextAdapter()

  Creates a new adapter for an object of class '`XML Value Function Text`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionText`

### createXMLValueFunctionValidateAdapter

    public Adapter createXMLValueFunctionValidateAdapter()

  Creates a new adapter for an object of class '`XML Value Function Validate`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionValidate`

### createXMLValueExpressionCastAdapter

    public Adapter createXMLValueExpressionCastAdapter()

  Creates a new adapter for an object of class '`XML Value Expression Cast`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueExpressionCast`

### createXMLPredicateAdapter

    public Adapter createXMLPredicateAdapter()

  Creates a new adapter for an object of class '`XML Predicate`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLPredicate`

### createXMLPredicateContentAdapter

    public Adapter createXMLPredicateContentAdapter()

  Creates a new adapter for an object of class '`XML Predicate Content`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLPredicateContent`

### createXMLPredicateDocumentAdapter

    public Adapter createXMLPredicateDocumentAdapter()

  Creates a new adapter for an object of class '`XML Predicate Document`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLPredicateDocument`

### createXMLPredicateExistsAdapter

    public Adapter createXMLPredicateExistsAdapter()

  Creates a new adapter for an object of class '`XML Predicate Exists`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLPredicateExists`

### createXMLPredicateValidAdapter

    public Adapter createXMLPredicateValidAdapter()

  Creates a new adapter for an object of class '`XML Predicate Valid`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLPredicateValid`

### createXMLQueryExpressionAdapter

    public Adapter createXMLQueryExpressionAdapter()

  Creates a new adapter for an object of class '`XML Query Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLQueryExpression`

### createXMLQueryArgumentListAdapter

    public Adapter createXMLQueryArgumentListAdapter()

  Creates a new adapter for an object of class '`XML Query Argument List`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLQueryArgumentList`

### createXMLQueryArgumentItemAdapter

    public Adapter createXMLQueryArgumentItemAdapter()

  Creates a new adapter for an object of class '`XML Query Argument Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLQueryArgumentItem`

### createXMLSerializeFunctionAdapter

    public Adapter createXMLSerializeFunctionAdapter()

  Creates a new adapter for an object of class '`XML Serialize Function`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLSerializeFunction`

### createXMLSerializeFunctionTargetAdapter

    public Adapter createXMLSerializeFunctionTargetAdapter()

  Creates a new adapter for an object of class '`XML Serialize Function Target`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLSerializeFunctionTarget`

### createXMLAggregateFunctionAdapter

    public Adapter createXMLAggregateFunctionAdapter()

  Creates a new adapter for an object of class '`XML Aggregate Function`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLAggregateFunction`

### createXMLValueFunctionConcatContentItemAdapter

    public Adapter createXMLValueFunctionConcatContentItemAdapter()

  Creates a new adapter for an object of class '`XML Value Function Concat Content Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionConcatContentItem`

### createXMLValueFunctionCommentContentAdapter

    public Adapter createXMLValueFunctionCommentContentAdapter()

  Creates a new adapter for an object of class '`XML Value Function Comment Content`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionCommentContent`

### createXMLValueFunctionDocumentContentAdapter

    public Adapter createXMLValueFunctionDocumentContentAdapter()

  Creates a new adapter for an object of class '`XML Value Function Document Content`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionDocumentContent`

### createXMLAggregateSortSpecificationAdapter

    public Adapter createXMLAggregateSortSpecificationAdapter()

  Creates a new adapter for an object of class '`XML Aggregate Sort Specification`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLAggregateSortSpecification`

### createXMLValueFunctionForestContentItemAdapter

    public Adapter createXMLValueFunctionForestContentItemAdapter()

  Creates a new adapter for an object of class '`XML Value Function Forest Content Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionForestContentItem`

### createXMLValueFunctionParseContentAdapter

    public Adapter createXMLValueFunctionParseContentAdapter()

  Creates a new adapter for an object of class '`XML Value Function Parse Content`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionParseContent`

### createXMLValueFunctionPIContentAdapter

    public Adapter createXMLValueFunctionPIContentAdapter()

  Creates a new adapter for an object of class '`XML Value Function PI Content`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionPIContent`

### createXMLTableFunctionAdapter

    public Adapter createXMLTableFunctionAdapter()

  Creates a new adapter for an object of class '`XML Table Function`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLTableFunction`

### createXMLValueFunctionTextContentAdapter

    public Adapter createXMLValueFunctionTextContentAdapter()

  Creates a new adapter for an object of class '`XML Value Function Text Content`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionTextContent`

### createXMLValueFunctionValidateContentAdapter

    public Adapter createXMLValueFunctionValidateContentAdapter()

  Creates a new adapter for an object of class '`XML Value Function Validate Content`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionValidateContent`

### createXMLTableColumnDefinitionItemAdapter

    public Adapter createXMLTableColumnDefinitionItemAdapter()

  Creates a new adapter for an object of class '`XML Table Column Definition Item`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLTableColumnDefinitionItem`

### createXMLTableColumnDefinitionRegularAdapter

    public Adapter createXMLTableColumnDefinitionRegularAdapter()

  Creates a new adapter for an object of class '`XML Table Column Definition Regular`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLTableColumnDefinitionRegular`

### createXMLTableColumnDefinitionOrdinalityAdapter

    public Adapter createXMLTableColumnDefinitionOrdinalityAdapter()

  Creates a new adapter for an object of class '`XML Table Column Definition Ordinality`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLTableColumnDefinitionOrdinality`

### createXMLValueFunctionValidateAccordingToAdapter

    public Adapter createXMLValueFunctionValidateAccordingToAdapter()

  Creates a new adapter for an object of class '`XML Value Function Validate According To`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionValidateAccordingTo`

### createXMLValueFunctionValidateAccordingToURIAdapter

    public Adapter createXMLValueFunctionValidateAccordingToURIAdapter()

  Creates a new adapter for an object of class '`XML Value Function Validate According To URI`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionValidateAccordingToURI`

### createXMLValueFunctionValidateAccordingToIdentifierAdapter

    public Adapter createXMLValueFunctionValidateAccordingToIdentifierAdapter()

  Creates a new adapter for an object of class '`XML Value Function Validate According To Identifier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionValidateAccordingToIdentifier`

### createXMLValueFunctionValidateElementNameAdapter

    public Adapter createXMLValueFunctionValidateElementNameAdapter()

  Creates a new adapter for an object of class '`XML Value Function Validate Element Name`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionValidateElementName`

### createXMLValueFunctionValidateElementNamespaceAdapter

    public Adapter createXMLValueFunctionValidateElementNamespaceAdapter()

  Creates a new adapter for an object of class '`XML Value Function Validate Element Namespace`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionValidateElementNamespace`

### createXMLNamespacesDeclarationAdapter

    public Adapter createXMLNamespacesDeclarationAdapter()

  Creates a new adapter for an object of class '`XML Namespaces Declaration`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLNamespacesDeclaration`

### createXMLAttributesDeclarationAdapter

    public Adapter createXMLAttributesDeclarationAdapter()

  Creates a new adapter for an object of class '`XML Attributes Declaration`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLAttributesDeclaration`

### createXMLValueFunctionElementContentListAdapter

    public Adapter createXMLValueFunctionElementContentListAdapter()

  Creates a new adapter for an object of class '`XML Value Function Element Content List`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionElementContentList`

### createXMLValueFunctionQueryReturningAdapter

    public Adapter createXMLValueFunctionQueryReturningAdapter()

  Creates a new adapter for an object of class '`XML Value Function Query Returning`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionQueryReturning`

### createXMLValueFunctionValidateElementAdapter

    public Adapter createXMLValueFunctionValidateElementAdapter()

  Creates a new adapter for an object of class '`XML Value Function Validate Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLValueFunctionValidateElement`

### createXMLTableColumnDefinitionDefaultAdapter

    public Adapter createXMLTableColumnDefinitionDefaultAdapter()

  Creates a new adapter for an object of class '`XML Table Column Definition Default`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLTableColumnDefinitionDefault`

### createXMLSerializeFunctionEncodingAdapter

    public Adapter createXMLSerializeFunctionEncodingAdapter()

  Creates a new adapter for an object of class '`XML Serialize Function Encoding`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `XMLSerializeFunctionEncoding`

### createEModelElementAdapter

    public Adapter createEModelElementAdapter()

  Creates a new adapter for an object of class '`EModel Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.EModelElement`

### createENamedElementAdapter

    public Adapter createENamedElementAdapter()

  Creates a new adapter for an object of class '`ENamed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `org.eclipse.emf.ecore.ENamedElement`

### createSQLObjectAdapter

    public Adapter createSQLObjectAdapter()

  Creates a new adapter for an object of class '`SQL Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLObject`

### createSQLQueryObjectAdapter

    public Adapter createSQLQueryObjectAdapter()

  Creates a new adapter for an object of class '`SQL Query Object`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SQLQueryObject`

### createValueExpressionAdapter

    public Adapter createValueExpressionAdapter()

  Creates a new adapter for an object of class '`Value Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpression`

### createQueryValueExpressionAdapter

    public Adapter createQueryValueExpressionAdapter()

  Creates a new adapter for an object of class '`Query Value Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QueryValueExpression`

### createValueExpressionAtomicAdapter

    public Adapter createValueExpressionAtomicAdapter()

  Creates a new adapter for an object of class '`Value Expression Atomic`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionAtomic`

### createValueExpressionFunctionAdapter

    public Adapter createValueExpressionFunctionAdapter()

  Creates a new adapter for an object of class '`Value Expression Function`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionFunction`

### createValueExpressionCastAdapter

    public Adapter createValueExpressionCastAdapter()

  Creates a new adapter for an object of class '`Value Expression Cast`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ValueExpressionCast`

### createSearchConditionAdapter

    public Adapter createSearchConditionAdapter()

  Creates a new adapter for an object of class '`Search Condition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SearchCondition`

### createQuerySearchConditionAdapter

    public Adapter createQuerySearchConditionAdapter()

  Creates a new adapter for an object of class '`Query Search Condition`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `QuerySearchCondition`

### createPredicateAdapter

    public Adapter createPredicateAdapter()

  Creates a new adapter for an object of class '`Predicate`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Predicate`

### createTableReferenceAdapter

    public Adapter createTableReferenceAdapter()

  Creates a new adapter for an object of class '`Table Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TableReference`

### createTableExpressionAdapter

    public Adapter createTableExpressionAdapter()

  Creates a new adapter for an object of class '`Table Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TableExpression`

### createTableFunctionAdapter

    public Adapter createTableFunctionAdapter()

  Creates a new adapter for an object of class '`Table Function`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TableFunction`

### createEObjectAdapter

    public Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.